Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022271
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2012-11-12 13:382012-11-27 11:23
ReporteregoitzView Statuspublic 
Assigned Toshankarb 
PriorityurgentResolutionfixedFixed in Version3.0MP18
StatusclosedFix in branchFixed in SCM revision2785dcc9cf21
ProjectionnoneETAnoneTarget Version3.0MP18
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP16SCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022271: ON the ProductSimple selector the elements disapear when ordering them on grid view

DescriptionWhen opening the ProductSimple poup to select a element, when you click on a column to change the order, all the records disappear an the following message is shown:

No items to show.

If you click again the elements are shown again, but a new click on a column, deletes all the records from the grid.
Steps To ReproduceAs system administrator:
-Define a new template as indevelopment.
-go to the tables and columns window
-Find the c_invoiceline table
-Modify the definition of m_product_id column by changing the reference from search to obuiselector and the reference search key from Product to ProductSimple
Compile the applicatoin
REstart tomcat
As Admin:
-Access to the sales invoice window
-go to the lines
-Open the product selector
-See that elements are shown.
-Click on a column to change the order.
*the elements are deleted
Then a new click on a column will show the data, and a new click will delete it again.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00216393.0MP16 closeddmiguelez Product selector in purchase order takes a long time to load the data 

-  Notes
(0054304)
hgbot (developer)
2012-11-19 12:22

Repository: erp/devel/pi
Changeset: 2785dcc9cf21483c6f9324219441a95091e64091
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Nov 19 12:21:21 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2785dcc9cf21483c6f9324219441a95091e64091 [^]

Fixes Issue 0022271: Sorting issue in selector popup.

In the selector pop-up sorting by descending was not working.
The last order by operator was removed when deleting additional comma.

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/CustomQuerySelectorDatasource.java
---
(0054395)
hudsonbot (developer)
2012-11-21 06:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c3c5e61b0164 [^]

Maturity status: Test
(0054520)
AugustoMauch (developer)
2012-11-27 11:23

Code reviewed and verified in pi@b43e48d603a9

- Issue History
Date Modified Username Field Change
2012-11-12 13:38 egoitz New Issue
2012-11-12 13:38 egoitz Assigned To => AugustoMauch
2012-11-12 13:38 egoitz Modules => Core
2012-11-12 13:39 egoitz Relationship added related to 0021639
2012-11-12 13:39 egoitz Issue Monitored: networkb
2012-11-12 14:18 extra Issue Monitored: extra
2012-11-16 10:03 shankarb Assigned To AugustoMauch => shankarb
2012-11-19 10:39 shankarb Status new => scheduled
2012-11-19 10:39 shankarb fix_in_branch => pi
2012-11-19 11:59 shankarb Review Assigned To => AugustoMauch
2012-11-19 11:59 shankarb fix_in_branch pi =>
2012-11-19 11:59 shankarb Issue Monitored: AugustoMauch
2012-11-19 12:22 hgbot Checkin
2012-11-19 12:22 hgbot Note Added: 0054304
2012-11-19 12:22 hgbot Status scheduled => resolved
2012-11-19 12:22 hgbot Resolution open => fixed
2012-11-19 12:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2785dcc9cf21483c6f9324219441a95091e64091 [^]
2012-11-21 06:07 hudsonbot Checkin
2012-11-21 06:07 hudsonbot Note Added: 0054395
2012-11-27 11:23 AugustoMauch Note Added: 0054520
2012-11-27 11:23 AugustoMauch Status resolved => closed
2012-11-27 11:23 AugustoMauch Fixed in Version => 3.0MP18


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker